POST ticket/clubcard/payOrder/{appId}/{auth}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| appId | integer |
Required |
|
| auth | string |
Required |
Body Parameters
PayOOrdeByClubcardRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| clubcardId | globally unique identifier |
None. |
|
| orderId | globally unique identifier |
None. |
|
| transactionId | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"clubcardId": "9916fbeb-3f46-4693-b13b-5542174531a7",
"orderId": "d60f41dd-1d3f-4c39-9020-5d74e8fbb6ac",
"transactionId": "sample string 3"
}
application/xml, text/xml
Sample:
<PayOOrdeByClubcardRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Tiszamozi_API.Models"> <clubcardId>9916fbeb-3f46-4693-b13b-5542174531a7</clubcardId> <orderId>d60f41dd-1d3f-4c39-9020-5d74e8fbb6ac</orderId> <transactionId>sample string 3</transactionId> </PayOOrdeByClubcardRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
PayByClubcardResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| result | ClubcardResult |
None. |
|
| itemType | integer |
None. |
|
| objectId | globally unique identifier |
None. |
|
| paymentId | globally unique identifier |
None. |
|
| downloadPage | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"result": {
"code": 0,
"message": "sample string 1"
},
"itemType": 1,
"objectId": "b1ea165d-9a3a-479f-bed7-564aea8c40c3",
"paymentId": "c67315ee-e469-4a90-a0c0-76f8a357402f",
"downloadPage": "sample string 4"
}
application/xml, text/xml
Sample:
<PayByClubcardResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Tiszamozi_API.Models">
<downloadPage>sample string 4</downloadPage>
<itemType>1</itemType>
<objectId>b1ea165d-9a3a-479f-bed7-564aea8c40c3</objectId>
<paymentId>c67315ee-e469-4a90-a0c0-76f8a357402f</paymentId>
<result>
<code>OK</code>
<message>sample string 1</message>
</result>
</PayByClubcardResponse>